import ddf.minim.*;
import ddf.minim.signals.*;
import ddf.minim.analysis.*;
import ddf.minim.effects.*;

//Importe la librairie 
import org.philhosoft.p8g.svg.P8gGraphicsSVG;

//Définit un objet SVG
P8gGraphicsSVG svg;

Minim minim;
AudioInput in;
FFT fft;
int w;
int i = 1;

void setup()
{

  size(600,600);
  minim=new Minim(this);
  in =minim.getLineIn(Minim.STEREO, 512);
  fft= new FFT(in.bufferSize(), in.sampleRate());
  fft.logAverages(60,7);
  
  svg = (P8gGraphicsSVG) createGraphics(width, height, P8gGraphicsSVG.SVG, (i+"motifG.svg"));
  i++;
  beginRecord(svg); 
  
  stroke(0);
 w= width/fft.avgSize();
 strokeWeight(w);
 strokeCap(SQUARE);
}

void draw()
{

  
  fft.forward(in.mix);
 
 for(int i = 0; i < fft.avgSize(); i++)
 {
  line((i*w), height, (i*w), height - fft.getAvg(i) * 4 );
 }
}
void keyPressed()
{
  //Si j'appuie sur la touche 's' je sauve mon image en SVG
  if (key == 's') 
  {
    svg.endRecord();
    println("Saved.");
  }
  //Si j'appuie sur la touche 'q' je quitte le sketch
  else if (key == 'q') 
  {
    svg.clear();
    exit();
  }
}
